org.apache.lucene.codecs.compressing

## Class CompressingStoredFieldsReader

- java.lang.Object
- - org.apache.lucene.codecs.StoredFieldsReader
  - - org.apache.lucene.codecs.compressing.CompressingStoredFieldsReader

- All Implemented Interfaces:
    Closeable, AutoCloseable, Cloneable

      public final class CompressingStoredFieldsReader
      extends StoredFieldsReader

  `StoredFieldsReader` impl for `CompressingStoredFieldsFormat`.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompressingStoredFieldsReader(Directory d, SegmentInfo si, String segmentSuffix, FieldInfos fn, IOContext context, String formatName, CompressionMode compressionMode)` Sole constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `StoredFieldsReader` | `clone()`
    `void` | `close()` Close the underlying `IndexInput`s.
    `void` | `visitDocument(int docID, StoredFieldVisitor visitor)` Visit the stored fields for document `n`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompressingStoredFieldsReader

          public CompressingStoredFieldsReader(Directory d,
                                       SegmentInfo si,
                                       String segmentSuffix,
                                       FieldInfos fn,
                                       IOContext context,
                                       String formatName,
                                       CompressionMode compressionMode)
                                        throws IOException

      Sole constructor.
      Throws:
        `IOException`

  - ### Method Detail

    - #### close

          public void close()
                     throws IOException

      Close the underlying `IndexInput`s.
      Throws:
        `IOException`

    - #### visitDocument

          public void visitDocument(int docID,
                           StoredFieldVisitor visitor)
                             throws IOException

      Description copied from class: `StoredFieldsReader`
      Visit the stored fields for document `n`
      Specified by:
        `visitDocument` in class `StoredFieldsReader`
      Throws:
        `IOException`

    - #### clone

          public StoredFieldsReader clone()

      Specified by:
        `clone` in class `StoredFieldsReader`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.